Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-36457

JSMin.php file is not GNU GPL compatible

    XMLWordPrintable

    Details

      Description

      In /lib/minify/lib/JSMin.php we have some code that Debian doesn't like, because the license is: "The Software shall be used for Good, not Evil.""

      The unmaintained code is from here: https://github.com/rgrove/jsmin-php

      And even the author recommends alternatives there. Let's switch to one.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              skodak Petr Skoda
              Reporter:
              dougiamas Martin Dougiamas
              Integrator:
              Dan Poltawski Dan Poltawski
              Tester:
              Jason Fowler Jason Fowler
              Participants:
              Component watchers:
              Andrew Lyons, Dongsheng Cai, Huong Nguyen, Jun Pataleta, Michael Hawkins, Shamim Rezaie, Simey Lameze, Amaia Anabitarte, Carlos Escobedo, Ferran Recio, Ilya Tregubov, Sara Arjona (@sarjona), Bas Brands
              Votes:
              2 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:
                Fix Release Date:
                3/Dec/12